ports:
  - port: 9743
    onOpen: open-preview
additionalRepositories:
  - url: https://git.rwth-aachen.de/coscine/frontend/apps/aimsfrontend
    checkoutLocation: frontend
tasks:
  - name: library
    init: |
      yarn install
      yarn build
      gp sync-done bundle
    command: yarn dev
  - name: frontend
    before: cd  ../frontend
    init: |
      gp sync-await bundle
      yarn link ../form-generator
      yarn install
    command: yarn dev
vscode:
  extensions:
    - arcanis.vscode-zipfs
    - dbaeumer.vscode-eslint
    - esbenp.prettier-vscode
    - vue.volar
